Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.pattern
Interface PatternDefinitionResolver<T>

Type Parameters:
  `T` - The type of the customization key.

All Known Implementing Classes:
  AbstractPatternDefinitionResolver, BasicPatternDefinitionResolver, PrefixedPatternDefinitionResolver, RegexpPatternDefinitionResolver, WildcardPatternDefinitionResolver

    public interface PatternDefinitionResolver<T>

Resolves a definition starting from patterns stored in definition maps.

Since:
  2.2.0
Version:
  $Rev: 823662 $ $Date: 2009-10-09 20:48:03 +0200 (ven, 09 ott 2009) $

Method Summary
`Definition` | `resolveDefinition(java.lang.String name, T customizationKey)` Resolves a definition searching in all patterns for the requested customization key.
`java.util.Map<java.lang.String,Definition>` | `storeDefinitionPatterns(java.util.Map<java.lang.String,Definition> localeDefsMap, T customizationKey)` Stores definition patterns.

Method Detail

### storeDefinitionPatterns

    java.util.Map<java.lang.String,Definition> storeDefinitionPatterns(java.util.Map<java.lang.String,Definition> localeDefsMap,
                                                                       T customizationKey)

  Stores definition patterns.

  Parameters:
    `localeDefsMap` - The map of definitions that may contain also patterns.
    `customizationKey` - The customization key.
  Returns:
    The map of the definitions not recognized as containing definition patterns.
  Since:
    2.2.1

### resolveDefinition

    Definition resolveDefinition(java.lang.String name,
                                 T customizationKey)

  Resolves a definition searching in all patterns for the requested customization key.

  Parameters:
    `name` - The name of the definition.
    `customizationKey` - The customization key.
  Returns:
    The resolved definition.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.